using Microsoft.AspNetCore.Mvc;

namespace Otchinslator.Controllers;

[ApiController]
public class PublicDataController(DatabaseContext db) : Controller
{
    [HttpGet("/api/getSpecialities")]
    public IActionResult GetSpecialities(int institutId)
    {
        if (institutId <= 0 || institutId > 4)
        {
            return BadRequest("Некорректный институт\nДоступные институты: 1 - ИКТИБ, 2 - ИРТСУ, 3 - ИУЭС, 4 - ИНЭП");
        }
        
        var specialities = db.Specialties.Where(s => s.InstitutId == institutId).ToList();
        var specialitiesDto = specialities.Select(s => new
        {
            s.Id,
            s.Name,
            s.Code,
        });
        
        return Ok(specialitiesDto);
    }
}